#!/bin/bash -e

set -a
    . .env
    SYNAPSE_SERVER_NAME="$MATRIX_BASE_URL"
    SYNAPSE_NO_TLS=1
    POSTGRES_HOST=db
    SYNAPSE_TURN_URIS="turn:$COTURN_BASE_URL?transport=tcp,turn:$COTURN_BASE_URL?transport=udp"
    SYNAPSE_TURN_SECRET="$AUTH_SECRET"
set +a

ENV=()
while read -r LINE; do
    ENV+=(-e "$LINE")
done < <(env)

docker-compose run "${ENV[@]}" matrix migrate_config
